<template>
<v-tabs
  class="hidden-xs-only"
  :show-arrows="false"
  fixed-tabs
  v-model="tab"
  >
  <!-- <v-tabs-slider color="teal lighten-3"></v-tabs-slider> -->
  <v-tab
    v-for="(item, index) in items"
    :key="index"
    :to="item.to"
    >
    <v-icon left v-if="item.icon">{{item.icon}}</v-icon>

    {{ item.title }}
  </v-tab>
</v-tabs>
</template>


<script>
import Vue from 'vue';
// A bus to send events to this dialog
const bus = new Vue();
export { bus };

import {
  mdiMenu,
  mdiHome,
  mdiCurrencyUsd,
  mdiChevronLeft,
  mdiChevronRight,
  mdiFrequentlyAskedQuestions,
  mdiContacts,
} from '@mdi/js';
import items from './NavigationItems.ts';

export default {
  methods: {
    reset() {
      this.tab = null;
    },
  } ,
  // Use "beforeMount" only
  // https://github.com/DivanteLtd/vue-storefront/pull/1773/files
  beforeMount() {
    bus.$on('reset', this.reset);
  },
  beforeDestroy() {
    bus.$off('reset', this.reset);
  },
  data: () => ({
    // icons
    mdiMenu,
    mdiHome,
    mdiCurrencyUsd,
    mdiFrequentlyAskedQuestions,
    mdiContacts,
    mdiChevronLeft,
    mdiChevronRight,

    tab: null,
    item: '',
    items,
  }),
};
</script>
